Bug 219534 - audio/ncmpcpp: Update to 0.8
Summary: audio/ncmpcpp: Update to 0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-25 14:57 UTC by yamagi
Modified: 2017-05-28 17:19 UTC (History)
1 user (show)

See Also:
yamagi: maintainer-feedback+


Attachments
Update audio/ncmpcpp to 0.8 (9.95 KB, patch)
2017-05-25 14:57 UTC, yamagi
yamagi: maintainer-approval+
Details | Diff
Regenerated patch, this time with: svn diff audio/ncmpcpp > /poudriere/scratch/patches/ncmpcpp-0.8.diff (10.57 KB, patch)
2017-05-26 10:28 UTC, yamagi
yamagi: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description yamagi 2017-05-25 14:57:59 UTC
Created attachment 182886 [details]
Update audio/ncmpcpp to 0.8

The attached patch updates audio/ncmpcpp to version 0.8 Changes to the port:

- Remove all patches but one. They're no longer needed.
- Enforce C++14, a C++11 compiler is not longer sufficient.
- curl is no longer optional since upstream made it a hard dependency.
- Switch back to port ncurses. ncmpcpp doesn't work with base ncuses out of the box, fixing that would require several patches to the port.


Changes to the application:

- A lot of bugfixes and ehancements to lyrics fetching.
- Better compatibility for files with broken tags.
- Several changes to coloring options.


The patch was tested with poudriere and I've run several hours with it.
Comment 1 yamagi 2017-05-26 10:28:45 UTC
Created attachment 182927 [details]
Regenerated patch, this time with:  svn diff audio/ncmpcpp > /poudriere/scratch/patches/ncmpcpp-0.8.diff

Regenerated the patch.
Comment 2 commit-hook freebsd_committer 2017-05-28 17:18:39 UTC
A commit references this bug:

Author: joneum
Date: Sun May 28 17:18:25 UTC 2017
New revision: 441919
URL: https://svnweb.freebsd.org/changeset/ports/441919

Log:
  - Update to 0.8

  - Changelog: https://rybczak.net/ncmpcpp/

  PR:	219534
  Submitted by:	yamagi@yamagi.org (maintainer)
  Approved by:	rene (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10960

Changes:
  head/audio/ncmpcpp/Makefile
  head/audio/ncmpcpp/distinfo
  head/audio/ncmpcpp/files/patch-src_browser.cpp
  head/audio/ncmpcpp/files/patch-src_configuration.cpp
  head/audio/ncmpcpp/files/patch-src_helpers.cpp
  head/audio/ncmpcpp/files/patch-src_media__library.cpp
  head/audio/ncmpcpp/files/patch-src_playlist.cpp
  head/audio/ncmpcpp/files/patch-src_playlist__editor.cpp
  head/audio/ncmpcpp/files/patch-src_search__engine.cpp
  head/audio/ncmpcpp/files/patch-src_status.cpp
  head/audio/ncmpcpp/files/patch-src_tag__editor.cpp
  head/audio/ncmpcpp/files/patch-src_window.h
Comment 3 Jochen Neumeister freebsd_committer 2017-05-28 17:19:27 UTC
Committed, thanks